From e57f0bac4d054582df4cbce7438bfc9ec4ca62b6 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Apr 16 2015 18:07:33 +0000
Subject: [PATCH 6/254] Make DB_URL configurable.


---

diff --git a/hubs/app.py b/hubs/app.py
index 598497e..e059240 100644
--- a/hubs/app.py
+++ b/hubs/app.py
@@ -1,9 +1,17 @@
+import os
+
 import flask
 
 import models
 
 app = flask.Flask(__name__)
 
+
+app.config.from_object('default_config')
+if 'HUBS_CONFIG' in os.environ:
+    app.config.from_envvar('HUBS_CONFIG')
+
+
 @app.route('/')
 def index():
     return "hi there"
@@ -11,7 +19,7 @@ def index():
 
 @app.route('/<hub_name>')
 def hubs_view(hub_name):
-    session = models.init('sqlite:////var/tmp/hubs.db')
+    session = models.init(app.config['DB_URL'])
     hub = session.query(models.Hub)\
         .filter(models.Hub.name==hub_name)\
         .first()
diff --git a/hubs/default_config.py b/hubs/default_config.py
new file mode 100644
index 0000000..3a6a0ff
--- /dev/null
+++ b/hubs/default_config.py
@@ -0,0 +1,2 @@
+# Production ready.
+DB_URL = 'sqlite:////var/tmp/hubs.db'
diff --git a/populate.py b/populate.py
index 135c1ad..7263aa7 100644
--- a/populate.py
+++ b/populate.py
@@ -1,6 +1,15 @@
+import os
+
+import flask
+
 import hubs.models
 
-session = hubs.models.init('sqlite:////var/tmp/hubs.db', True, True)
+app = flask.Flask(__name__)
+app.config.from_object('hubs.default_config')
+if 'HUBS_CONFIG' in os.environ:
+    app.config.from_envvar('HUBS_CONFIG')
+
+session = hubs.models.init(app.config['DB_URL'], True, True)
 
 hub = hubs.models.Hub(name='lol')
 session.add(hub)

